<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["c"]) ) {

    $error = array('details' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  // if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

  //   $jwt = substr(getallheaders()["Authorization"], 7);

  //   //Decoding data
  //   $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

  //   if(!isset($decodeToken)){

  //     exit(json_encode(array("error" => "unauthorised") ));

  //   }
    //view club statistics information

    if (@$_GET['c'] != "" ) {

      @$clubId = mysql_prep($_GET['c']);

      $stat = find_club_by_stat_for_club($clubId, 1); 

      if(!isset($stat) ){

        $error = array('details' => 'something went wrong');

        exit(json_encode($error));

      }


      //club statistic details
      $details = array("details" => $stat);

      exit(json_encode($details));



    }  


  // }else{

  //   exit(json_encode(array("error" => "unauthorised") ));


  // }

